libinput-analyze-touch-down-state(1)

NAME
libinput-analyze-touch-down-state - analyze the touch states

SYNOPSIS
libinput analyze touch-down-state [--help] [options] recording.yml

DESCRIPTION

The libinput analyze touch-downtate tool analyzes a recording made with libinput record and prints "down" state of each touch. This tool aids with the detection of stuck touches.

This is a debugging tool only, its output may change at any time. Do not rely on the output.

OPTIONS

--help
    Print help

--use-st
    Use the single-touch BTN_TOOL_ bits instead of the slot state. The output will only show the "highest" finger down at any time. For examples, where two fingers are down, only the second slot will be marked as down.

OUTPUT
An example output for a two-finger alternating sequence below.

  6.140281 +1062ms: x | x
  7.410377 +1257ms:   | x
  7.420200    +9ms:   |
 11.233108 +3812ms: x | x
 11.245721   +12ms: x | x
 11.850206  +604ms:   |
 13.827740 +1977ms: x |
 13.839723   +11ms: x |
 14.704027  +864ms: x | x
 14.716691   +12ms: x | x

LIBINPUT
Part of the libinput(1) suite